Форум OlegON > Программы и оборудование для автоматизации торговли > Системы автоматизации торговли > Бэк-офисы платформы 1С

Повышение требований к версии платформы в типовых конфигурациях : Бэк-офисы платформы 1С

01.12.2022 16:33


Контакты Поиск
28.10.2022 12:46
KirillHome
 
В 1С довольно резво повысили требования к платформе.

Было:
Код:
Функция МинимальнаяВерсияПлатформы() Экспорт // АПК:581 - экспортная, так как используется при тестировании.
	
	Возврат "8.3.17.1851; 8.3.18.1208";
	
КонецФункции
Стало:
Код:
Функция МинимальнаяВерсияПлатформы() Экспорт // АПК:581 - экспортная, так как используется при тестировании.
	
	Возврат "8.3.17.2733; 8.3.18.1902; 8.3.19.1665; 8.3.20.2076; 8.3.21.1508; 8.3.22.1603";
	
КонецФункции
Возможно, встречается и в других местах.
Данная функция, понятно - легко обходится расширением (в случае невозможности прямо сейчас повысить версию платформы и необходимости обновления конфигурации).

Универсальное расширение (должно работать и на базовых версиях) для обхода приложено в качестве примера (при установке расширения - снимаем "птицу" - "Безопасный режим").
28.10.2022 17:43
KirillHome
 
Скрытый текст (вы должны войти под своим логином или зарегистрироваться и иметь 100 сообщение(ий)):
У вас нет прав чтобы видеть скрытый текст, содержащийся здесь.
Часовой пояс GMT +3, время: 16:33.

Форум на базе vBulletin®
Copyright © Jelsoft Enterprises Ltd.
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.